Subject: [Netconf] WGLC was Re: list of 4742bis edits

From: "t.petch" <[email-masked]>
Date: Fri, 24 Dec 2010 14:28:45 +0100

Ah - helps to add the mailing list to the addressees, so for completeness (and
apologies to
everyone else)
> ----- Original Message -----
> From: "t.petch" <[email-masked]>
> Sent: Thursday, December 23, 2010 12:25 PM
> > ----- Original Message -----
> > From: "Bert Wijnen (IETF)" <[email-masked]>
> > Sent: Wednesday, December 22, 2010 11:57 PM
> > Subject: Re: [Netconf] list of 4742bis edits
> >
> > > Tom, we now have a WGLC out for the updated
> > > draft-ietf-netconf-rfc4742bis-05.txt document. It runs till
> > > 7 Jan 2011. See my mail to the list on 22 dec 2010.
> > >
> > > If this discussion below means any change, then
> > > can you please cast your comments in terms of comments
> > > on that WGLC, that would be good.
> >
 My first e-mail was written after -05 came out but
before I had seen your WGLC so sloppily I replied to
Martin's message.

Ignore that message and see below

> > > Bert
> > >
> > > ----- Original Message -----
> > > From: "t.petch" <[email-masked]>
> > > To: "Juergen Schoenwaelder" <[email-masked]>;
"Martin
> > > Bjorklund" <[email-masked]>
> > > Cc: <[email-masked]>
> > > Sent: Wednesday, December 22, 2010 3:23 PM
> > >
> > >
> > > ----- Original Message -----
> > > From: "Martin Bjorklund" <[email-masked]>
> > > To: <[email-masked]>
> > > Cc: <[email-masked]>
> > > Sent: Friday, December 10, 2010 11:36 PM
> > > Subject: Re: [Netconf] list of 4742bis edit
> > > > Juergen Schoenwaelder <[email-masked]> wrote:
> > > > > On Fri, Dec 10, 2010 at 03:22:55PM +0100, Martin Bjorklund wrote:
> > > > >
> > > > Sure, that's an option.   If so, we must also decrement each chunk
> > > > size by 1.  If that makes the examples more clear, that's fine with me.
> > >

  a) As Martin has also noticed, the empty lines were removed but the counts
  were not decremented and need to be so.

  b) The ABNF for the chunking says LF for the separating character
   so I think that Line Feed is the term to use and the use of
  'newline' confusing - replace 'newline' by 'Line Feed' (in whatever text we
  end up with).

  c) "Note that there is no newline character after the 'rpc' end tag"
  Well there is a Line Feed there just as there is after each of
           message-id="102"
                xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
            <close-session/>

   The difference is that in these last three cases the Line Feed is
   counted as part of the chunk-data whereas in the first case
   it is counted as part of the end-of-chunks.  This needs clarifying.

  Clearest would be a visible Line Feed character -
   anything not used in the I-D would do.

  With or without a visible Line Feed, I think that the sentence quoted above
  should
  be replaced by

  NEW
  "In the second and third chunks quoted above, each line is terminated by a
  (invisible:-) Line Feed.  For all the XML lines except the last,
  this example treats the Line Feed as part of the chunk-data
  and so contributing to the chunk-size.

  For the last XML line, the 'rpc' end tag, the Line Feed is treated as
  part of the end-of-chunks."

  Tom Petch

> > > > /martin